Skip to navigation

Retrieve responses

Returns form responses and date and time of form landing and submission.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

form_idanyRequired

Unique ID for the form. Find in your form URL. For example, in the URL “https://mysite.typeform.com/to/u6nXL7” the form_id is u6nXL7.

Query parameters

page_sizelongOptional

Maximum number of responses. Default value is 25. Maximum value is 1000. If your typeform has fewer than 1000 responses, you can retrieve all of the responses in a single request by adding the page_size parameter. If your typeform has more than 1000 responses, use the since/until or before/after query parameters to narrow the scope of your request.

sincestringOptional

Limit request to responses submitted since the specified date and time, inclusive. Could be passed as int (timestamp in seconds) or in ISO 8601 format, UTC time, to the second, with T as a delimiter between the date and time (2020-03-20T14:00:59).

untilstringOptional

Limit request to responses submitted until the specified date and time, inclusive. Could be passed as int (timestamp in seconds) or in ISO 8601 format, UTC time, to the second, with T as a delimiter between the date and time (2020-03-20T14:00:59).

afterstringOptional

Limit request to responses submitted after the specified token, exclusive. Could not be used together with sort parameter, as it sorts responses in the order that our system processed them (submitted_at). This ensures that you can traverse the complete set of responses without repeating entries.

beforestringOptional

Limit request to responses submitted before the specified token, exclusive. Could not be used together with sort parameter, as it sorts responses in the order that our system processed them (submitted_at). This ensures that you can traverse the complete set of responses without repeating entries.

included_response_idsstringOptional

Limit request to the specified response_id values. Use a comma-separated list to specify more than one response_id value.

excluded_response_idsstringOptional

Comma-separated list of response_ids to be excluded from the response.

response_typelist of stringsOptional

Limit responses to only those which are of the provided response type (started, partial, completed). It is expected to be passed as a comma separated list of values, e.g. response_type=partial,completed. This parameter changes since/until filter, so if completed responses are requested it will filter by submitted_at, if partial responses are requested it will filter by staged_at, otherwise - landed_at. Default value is completed.

completedbooleanOptional

This query param is deprecated, please use response_type param instead. Limit responses to only those which were started (completed=false), but not completed (completed=true) (the respondent did not submit their answers). When completed=false, the responses do not have answers, hidden or calculate members. This parameter changes since/until filter, so if completed=true, it will filter by submitted_at, otherwise - landed_at. Default value is completed=true.

sortstringOptional

Responses order in {fieldID},{asc|desc} format. You can use built-in submitted_at/landed_at field IDs or any field ID from your typeform, possible directions are asc/desc. Default value is submitted_at,desc.

querystringOptional
Limit request to only responses that include the specified string. The string will be escaped and it will be matched against all answers fields, hidden fields and variables values.
fieldslist of stringsOptional

Show only specified fields in answers section. If response does not have answers for specified fields, there will be null. Use a comma-separated list to specify more than one field value.

answered_fieldslist of stringsOptional

Limit request to only responses that include the specified fields in answers section. Use a comma-separated list to specify more than one field value - response will contain at least one of the specified fields.

Response

OK
total_itemsdoubleOptional
Total number of items in the retrieved collection.
page_countdoubleOptional
Number of pages.
itemslist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
500
Internal Server Error